import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import uView from 'uview-ui'
import $mConfig from '@/config/global.config.js';
import $mUtil from '@/utils/index.js';
import initialize from "@/utils/initialize"

import {
	http
} from '@/request/shop_index';

Vue.prototype.$http = http;
Vue.prototype.$mConfig = $mConfig;
Vue.prototype.$mUtil = $mUtil;
Vue.use(uView);
Vue.use(initialize)


import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})


app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif